@if NOT EXIST setup.bat goto ERR1
call setup
call mdd temp
genfile --length 10240 --file file1
@echo "separator"
%TEMPT% czvf archive file1
@echo "separator"
ren file1 orig
%TEMPT% xvf archive.gz
fc4 orig file1 -b
@cd ..
@goto END

:ERR1
@echo Can NOT locate setup.bat ... check name, location ...
@goto END


:END
